---
lang: en
title: 'API docs: context.resolutionsession.describeinjection'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.resolutionsession.describeinjection.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionSession](./context.resolutionsession.md) &gt; [describeInjection](./context.resolutionsession.describeinjection.md)

## ResolutionSession.describeInjection() method

Describe the injection for debugging purpose

**Signature:**

```typescript
static describeInjection(injection: Readonly<Injection>): InjectionDescriptor;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

injection


</td><td>

Readonly&lt;[Injection](./context.injection.md)<!-- -->&gt;


</td><td>

Injection object


</td></tr>
</tbody></table>

**Returns:**

[InjectionDescriptor](./context.injectiondescriptor.md)


